<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::MocoTropterSolver::ExplicitTropterProblem&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::MocoTropterSolver::ExplicitTropterProblem&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::MocoTropterSolver::ExplicitTropterProblem&lt; T &gt;:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.png" usemap="#OpenSim::MocoTropterSolver::ExplicitTropterProblem_3C_20T_20_3E_map" alt=""/>
  <map id="OpenSim::MocoTropterSolver::ExplicitTropterProblem_3C_20T_20_3E_map" name="OpenSim::MocoTropterSolver::ExplicitTropterProblem_3C_20T_20_3E_map">
<area href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html" alt="OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;" shape="rect" coords="0,56,343,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a45882613b70d6533aa904819f5915325"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html#a45882613b70d6533aa904819f5915325">ExplicitTropterProblem</a> (const <a class="el" href="classOpenSim_1_1MocoTropterSolver.html">MocoTropterSolver</a> &amp;solver)</td></tr>
<tr class="separator:a45882613b70d6533aa904819f5915325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa602126238459f00d68e661df758f44c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html#aa602126238459f00d68e661df758f44c">initialize_on_mesh</a> (const Eigen::VectorXd &amp;) const override</td></tr>
<tr class="separator:aa602126238459f00d68e661df758f44c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a394c71db23b4d9d799cc953cdc5d547f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html#a394c71db23b4d9d799cc953cdc5d547f">calc_differential_algebraic_equations</a> (const tropter::Input&lt; T &gt; &amp;in, tropter::Output&lt; T &gt; out) const override</td></tr>
<tr class="separator:a394c71db23b4d9d799cc953cdc5d547f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;</a></td></tr>
<tr class="memitem:ac05f1989e272a20d7731f09de5c2ea97 inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memTemplParams" colspan="2">template&lt;typename MocoTrajectoryType , typename tropIterateType &gt; </td></tr>
<tr class="memitem:ac05f1989e272a20d7731f09de5c2ea97 inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memTemplItemLeft" align="right" valign="top">MocoTrajectoryType&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#ac05f1989e272a20d7731f09de5c2ea97">convertIterateTropterToMoco</a> (const tropIterateType &amp;tropSol) const</td></tr>
<tr class="separator:ac05f1989e272a20d7731f09de5c2ea97 inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbace7ac065e345b47c65a6225e35b2a inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">MocoTrajectory</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#abbace7ac065e345b47c65a6225e35b2a">convertToMocoTrajectory</a> (const tropter::Iterate &amp;tropSol) const</td></tr>
<tr class="separator:abbace7ac065e345b47c65a6225e35b2a inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a182ca3f2b26960a30003ac85aba6b145 inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1MocoSolution.html">MocoSolution</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a182ca3f2b26960a30003ac85aba6b145">convertToMocoSolution</a> (const tropter::Solution &amp;tropSol) const</td></tr>
<tr class="separator:a182ca3f2b26960a30003ac85aba6b145 inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cd5f97fe85c8a7c0ccc96ee7b6b071f inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memItemLeft" align="right" valign="top">tropter::Iterate&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a7cd5f97fe85c8a7c0ccc96ee7b6b071f">convertToTropterIterate</a> (const <a class="el" href="classOpenSim_1_1MocoTrajectory.html">MocoTrajectory</a> &amp;mocoIter) const</td></tr>
<tr class="separator:a7cd5f97fe85c8a7c0ccc96ee7b6b071f inherit pub_methods_classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a45882613b70d6533aa904819f5915325"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45882613b70d6533aa904819f5915325">&#9670;&nbsp;</a></span>ExplicitTropterProblem()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html">OpenSim::MocoTropterSolver::ExplicitTropterProblem</a>&lt; T &gt;::<a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html">ExplicitTropterProblem</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1MocoTropterSolver.html">MocoTropterSolver</a> &amp;&#160;</td>
          <td class="paramname"><em>solver</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a394c71db23b4d9d799cc953cdc5d547f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a394c71db23b4d9d799cc953cdc5d547f">&#9670;&nbsp;</a></span>calc_differential_algebraic_equations()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html">OpenSim::MocoTropterSolver::ExplicitTropterProblem</a>&lt; T &gt;::calc_differential_algebraic_equations </td>
          <td>(</td>
          <td class="paramtype">const tropter::Input&lt; T &gt; &amp;&#160;</td>
          <td class="paramname"><em>in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">tropter::Output&lt; T &gt;&#160;</td>
          <td class="paramname"><em>out</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a2a25a4c4ff48bcdcac9fe1bcfdb8f1ab">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::calcKinematicConstraintErrors()</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a591dfa4e85b475205e0cd4fbb432c961">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::calcPathConstraintErrors()</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a24abac8b8f3d3334269d381fd32de60d">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::m_modelBase</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a1f8f04b99e1fe47483e039e35197dea0">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::m_modelDisabledConstraints</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#aa2423aee1be43dbf3be2fcf2dd1052b8">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::m_stateBase</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a2e7257cfc49917c107ab35150448726c">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::m_stateDisabledConstraints</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a31c6be3bbbc0a99599356ba6f1ca27a8">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::qdot</a>, <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a905db253b5ebbce3a9bccb75ee900a8c">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::qdotCorr</a>, and <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1TropterProblemBase.html#a02874c535c804fe74e5c2eedb3da20e9">OpenSim::MocoTropterSolver::TropterProblemBase&lt; T &gt;::setSimTKState()</a>.</p>

</div>
</div>
<a id="aa602126238459f00d68e661df758f44c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa602126238459f00d68e661df758f44c">&#9670;&nbsp;</a></span>initialize_on_mesh()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html">OpenSim::MocoTropterSolver::ExplicitTropterProblem</a>&lt; T &gt;::initialize_on_mesh </td>
          <td>(</td>
          <td class="paramtype">const Eigen::VectorXd &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Moco/tropter/TropterProblem.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1MocoTropterSolver.html">MocoTropterSolver</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1MocoTropterSolver_1_1ExplicitTropterProblem.html">ExplicitTropterProblem</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:47 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
